Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.core.v2
Class CertificateDetailsType

    java.lang.Object
      be.fgov.ehealth.certra.core.v2.CertificateDetailsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class CertificateDetailsType

extends Object
implements Serializable

Type that describes a certificate. A certificate can be uniquely identifier by the combination of its serial number and issuer

Java class for CertificateDetailsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateDetailsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SerialNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="IssuerDN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ValidNotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="ValidNotAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CertificateDetailsType()`

Method Summary
`String` | `getDN()` Gets the value of the dn property.
`String` | `getIssuerDN()` Gets the value of the issuerDN property.
`String` | `getSerialNumber()` Gets the value of the serialNumber property.
`org.joda.time.DateTime` | `getValidNotAfter()` Gets the value of the validNotAfter property.
`org.joda.time.DateTime` | `getValidNotBefore()` Gets the value of the validNotBefore property.
`void` | `setDN(String value)` Sets the value of the dn property.
`void` | `setIssuerDN(String value)` Sets the value of the issuerDN property.
`void` | `setSerialNumber(String value)` Sets the value of the serialNumber property.
`void` | `setValidNotAfter(org.joda.time.DateTime value)` Sets the value of the validNotAfter property.
`void` | `setValidNotBefore(org.joda.time.DateTime value)` Sets the value of the validNotBefore property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateDetailsType

    public CertificateDetailsType()

Method Detail

### getSerialNumber

    public String getSerialNumber()

  Gets the value of the serialNumber property.

  Returns:
    possible object is `String`

### setSerialNumber

    public void setSerialNumber(String value)

  Sets the value of the serialNumber property.

  Parameters:
    `value` - allowed object is `String`

### getDN

    public String getDN()

  Gets the value of the dn property.

  Returns:
    possible object is `String`

### setDN

    public void setDN(String value)

  Sets the value of the dn property.

  Parameters:
    `value` - allowed object is `String`

### getIssuerDN

    public String getIssuerDN()

  Gets the value of the issuerDN property.

  Returns:
    possible object is `String`

### setIssuerDN

    public void setIssuerDN(String value)

  Sets the value of the issuerDN property.

  Parameters:
    `value` - allowed object is `String`

### getValidNotBefore

    public org.joda.time.DateTime getValidNotBefore()

  Gets the value of the validNotBefore property.

  Returns:
    possible object is `String`

### setValidNotBefore

    public void setValidNotBefore(org.joda.time.DateTime value)

  Sets the value of the validNotBefore property.

  Parameters:
    `value` - allowed object is `String`

### getValidNotAfter

    public org.joda.time.DateTime getValidNotAfter()

  Gets the value of the validNotAfter property.

  Returns:
    possible object is `String`

### setValidNotAfter

    public void setValidNotAfter(org.joda.time.DateTime value)

  Sets the value of the validNotAfter property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.